Bulk-update tickets
curl --request PUT \
--url https://api.gleap.io/v3/tickets/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'project: <project>' \
--data '
{
"selection": {
"ids": [
"<string>"
],
"limit": 123
},
"payload": {
"processingUser": "<string>",
"duration": 123,
"processingTeam": "<string>",
"priority": "<string>"
}
}
'import requests
url = "https://api.gleap.io/v3/tickets/bulk"
payload = {
"selection": {
"ids": ["<string>"],
"limit": 123
},
"payload": {
"processingUser": "<string>",
"duration": 123,
"processingTeam": "<string>",
"priority": "<string>"
}
}
headers = {
"project": "<project>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
project: '<project>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
selection: {ids: ['<string>'], limit: 123},
payload: {
processingUser: '<string>',
duration: 123,
processingTeam: '<string>',
priority: '<string>'
}
})
};
fetch('https://api.gleap.io/v3/tickets/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Ticket
Bulk-update tickets
PUT
/
tickets
/
bulk
Bulk-update tickets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
200 - application/json
Ok
⌘I